Subject: Re: flock ??
From: [email-masked] (Assar Westerlund)

9 Feb 1997 01:53:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.68)
Content-Type: text/plain; charset=US-ASCII
Original-To: Nigel Rantor <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: Nigel Rantor's message of Thu, 6 Feb 1997 15:03:06 +0000 (GMT)
X-Mailer: Gnus v5.2.40/Emacs 19.34
Original-Sender: [email-masked]

Nigel Rantor <[email-masked]> writes:
> Hmm, ok, simple question, is there flock? I have looked around the include
> files and can't find it. I know that Win32 can do it because I have seen
> the stuff about locking/lock/unlock and the whole issue of DOS machines
> required to load share.exe to use those features. My question is whether
> or not we have the UNIX calls or whether I would have to find out what the
> correct Win32 ones are.

There's no flock.  Use posix-style locking with fcntl instead.

/assar
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".